For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
GuidesAPI ReferenceSDKs
GuidesAPI ReferenceSDKs
  • API
      • POSTCancel transaction
      • POSTCapture transaction
      • POSTDeposit Transaction
      • POSTEstablish a new Transaction for authorization
      • GETGet transactions
      • POSTPreauthorize Transaction
      • POSTReclaim Transaction
      • POSTRefresh a transaction
      • POSTRefund Transaction
      • GETRetrieve a transaction
Dashboard
Products
PaymentsDataPayouts
Company
AboutCareersContact Sales

Terms of Use | Privacy Policy | © 2026 Trustly, Inc.

Developer-friendly docs for your API
GitHub|Contact Support|Business Help Center|Merchant Portal
Terms of Use|Privacy Policy|© 2026 Trustly, Inc.
Developer-friendly docs for your API
LogoLogo
North AmericaEurope
North AmericaEurope
APITransactions

Retrieve a transaction

|View as Markdown|Open in Claude|
GET
https://sandbox.trustly.one/api/v1/transactions/:transactionId
GET
/api/v1/transactions/:transactionId
$curl https://sandbox.trustly.one/api/v1/transactions/transactionId \
> -u "<username>:<password>"
200Example
1{
2 "transaction": {
3 "transactionId": "1006755981",
4 "transactionType": 1,
5 "payment": {
6 "paymentId": "1006755980",
7 "paymentType": 2,
8 "system": 1,
9 "country": "US",
10 "merchant": {
11 "merchantId": "1002463580"
12 },
13 "merchantReference": "ABCDE12345",
14 "merchantId": "1002463580",
15 "customer": {
16 "customerId": "1002580963",
17 "externalId": "4567890",
18 "merchantId": "1002463580",
19 "name": "Joe User",
20 "driverLicense": {
21 "number": "A1234567",
22 "state": "CA"
23 },
24 "taxId": "012345678",
25 "address": {
26 "address1": "2000 Broadway St",
27 "city": "Redwood City",
28 "state": "CA",
29 "zip": "94063",
30 "country": "US"
31 },
32 "phone": "+16505551212",
33 "email": "joe.user@mail.com",
34 "enrollDate": 1555696836548,
35 "createdAt": 1555696836548,
36 "updatedAt": 1555696836548
37 },
38 "fingerprint": "8ZqP5XmHvGT//Szf249Nj/mwh9c=",
39 "verification": {
40 "status": 3,
41 "mode": 4,
42 "verifyCustomer": false
43 },
44 "account": {
45 "name": "Demo Checking Account",
46 "type": 1,
47 "profile": -1,
48 "country": "US",
49 "accountNumber": "7833",
50 "routingNumber": "124003116",
51 "verified": false,
52 "verification": {
53 "verified": false,
54 "type": 1,
55 "hasEnoughFunds": false,
56 "verificationDate": 1619045543
57 },
58 "source": 1,
59 "token": "K0B14TQN7833",
60 "paymentProviderSubtype": 2000
61 },
62 "description": "Transaction",
63 "currency": "USD",
64 "amount": "0.00",
65 "paymentProvider": {
66 "paymentProviderId": "000000000",
67 "type": 2,
68 "subtype": 2000,
69 "name": "Demo Bank",
70 "country": "US",
71 "instantPayoutAvailable": false
72 },
73 "allowedPaymentProviderType": [
74 1,
75 2
76 ],
77 "paymentProviderSubtype": 2000,
78 "auth": {
79 "token": "1CRELKHFN90L",
80 "status": 2,
81 "message": "Authorized"
82 },
83 "authorization": "1CRELKHFN90L",
84 "authorizationStatus": 2,
85 "authorizationStatusMessage": "Authorized",
86 "pending": "10.00",
87 "paid": "20.00",
88 "refunded": "0.00",
89 "reversed": "0.00",
90 "balance": "20.00",
91 "createdAt": 1591995314674,
92 "updatedAt": 1591995486567,
93 "recordVersion": 9,
94 "paymentFlow": 79
95 },
96 "currency": "USD",
97 "amount": "0.00",
98 "pending": "0.00",
99 "paid": "0.00",
100 "refunded": "0.00",
101 "reversed": "0.00",
102 "balance": "0.00",
103 "paymentProviderTransaction": {
104 "paymentProviderTransactionId": "ptx-gOoNyq1MaeQ-kQIDTYxaZlTY-sbx",
105 "signature": "1CRELKHFN90L",
106 "status": "SW010"
107 },
108 "status": 2,
109 "statusMessage": "Authorized",
110 "ip": "10.0.0.1",
111 "createdAt": 1555629937054,
112 "processedAt": 1555629937054,
113 "completedAt": 1555629937054,
114 "updatedAt": 1555691427346,
115 "ppTrxId": "ptx-gOoNyq1MaeQ-kQIDTYxaZlTY-sbx",
116 "merchantReference": "ABCDE12345",
117 "automaticRepresentment": false,
118 "recordVersion": 3,
119 "instantPayoutSettle": false
120 }
121}
This endpoint allows you to retrieve comprehensive details about a transaction using its unique identifier `transactionId`. The response includes key transaction information, such as the transaction status, as well as amounts, and account details for payment or authorization transactions. This endpoint is useful for checking the current state of a transaction or verifying transaction information after processing.
Was this page helpful?
Previous

Refund Transaction

Built with

This endpoint allows you to retrieve comprehensive details about a transaction using its unique identifier transactionId. The response includes key transaction information, such as the transaction status, as well as amounts, and account details for payment or authorization transactions. This endpoint is useful for checking the current state of a transaction or verifying transaction information after processing.

Authentication

AuthorizationBasic

Path parameters

transactionIdstringRequired

Response

OK
requiredany
transactionIdstring>=1 character

A unique transaction identifier generated by Trustly (15 character max).

transactionTypeenum

Type of transaction record. Definitions and descriptions can be found in this table

paymentobject
A Trustly Payment
currencyenum

3-letter ISO Currency Code. Currently only USD is supported.

Allowed values:
amountstring>=1 character

The amount of the transaction. (10 characters with support for 2 decimal places)

pendingstring>=1 character

The total amount that is still pending completion. (10 characters with support for 2 decimal places)

paidstring>=1 character

The total amount that was already paid. (10 characters with support for 2 decimal places)

refundedstring>=1 character

The total amount that was refunded. (10 characters with support for 2 decimal places)

reversedstring>=1 character

The total amount that was reversed. (10 characters with support for 2 decimal places)

balancestring>=1 character

The balance of the amount paid, minus the amount reversed and/or refunded. (10 characters with support for 2 decimal places)

paymentProviderTransactionobject
Payment Provider Transaction
statusenum

Status code of the Payment Provider Transaction record. Definitions and descriptions can be found in this table

statusMessagestring>=1 character

A descriptive status message. (120 characters)

ipstring>=1 character
The client IP address in IPv4 or IPv6 format.
createdAtinteger
The date and time the transaction was created as a UNIX timestamp.
processedAtinteger
The date and time the transaction was processed as a UNIX timestamp.
completedAtinteger
The date and time the transaction was completed as a UNIX timestamp.
updatedAtinteger
The date and time the transaction was last updated as a UNIX timestamp.
ppTrxIdstring>=1 character
internal use only
merchantReferencestring>=1 character
Merchants internal reference id for the transaction.
expiredAtinteger
The date and time the preauthorization will expire as a UNIX timestamp.
recordVersiondouble
The current record version.
originalTransactionIdstring
feestring
timeZonestring
representmentScheduledAtdouble
paymentProcessorTypestring
statusCodestring
preAuthorizedboolean